Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class Win32MeasurementPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.MeasurementPlugin
              org.hyperic.hq.product.Win32MeasurementPlugin

    public class Win32MeasurementPlugin

extends MeasurementPlugin

Field Summary
`static String` | `DOMAIN`

Fields inherited from class org.hyperic.hq.product.MeasurementPlugin
`PROP_TEMPLATE_CONFIG, TYPE_COLLECTOR`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Win32MeasurementPlugin()`

Method Summary
`protected double` | `adjustValue(Metric metric, double value)`
`protected String` | `getAttributeName(Metric metric)`
`protected String` | `getDomainName(Metric metric)`
`org.hyperic.hq.product.MetricValue` | `getValue(Metric metric)` This method is called when the plugin is asked for a metric value.

Methods inherited from class org.hyperic.hq.product.MeasurementPlugin
`getCollectorProperties, getConfigSchema, getHelp, getManager, getMeasurementProperties, getMeasurements, getNewCollector, getPlatformHelpProperties, getPluginXMLHelp, init, translate`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOMAIN

    public static final String DOMAIN

See Also:
  Constant Field Values

Constructor Detail

### Win32MeasurementPlugin

    public Win32MeasurementPlugin()

Method Detail

### getValue

    public org.hyperic.hq.product.MetricValue getValue(Metric metric)
                                                throws PluginException,
                                                       MetricNotFoundException,
                                                       MetricUnreachableException

  Description copied from class: `MeasurementPlugin`
  This method is called when the plugin is asked for a metric value. The Metric is a translated value as returned by the getMeasurements() routine, and then run through the translate() method.

  Overrides:
    `getValue` in class `MeasurementPlugin`
  Parameters:
    `metric` - Value returned from translate(), representing a specific metric to retrieve
  Returns:
    The value of the Metric and timestamp of collection time
  Throws:
    `PluginException` - Thrown when an internal plugin error occurs
    `MetricNotFoundException` - The monitored resource does not know about the requested Metric. I.e. JMX AttributeNotFoundException
    `MetricUnreachableException` - The monitored resource is unreachable. I.e. ConnectException

### getAttributeName

    protected String getAttributeName(Metric metric)

### getDomainName

    protected String getDomainName(Metric metric)

### adjustValue

    protected double adjustValue(Metric metric,
                                 double value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.